Skip to main content
GET
/
agents
/
invitations
List agent delegation invitations
curl --request GET \
  --url https://api.natural.co/agents/invitations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "agentDelegationInvitation",
      "id": "adi_550e8400e29b41d4a716446655440000",
      "attributes": {
        "developerName": "Acme Inc",
        "email": "ops@customer.com",
        "agentName": "Invoice Agent",
        "permissions": [
          "payments.read"
        ],
        "limits": {
          "perTransaction": 100000
        },
        "status": "PENDING",
        "effectiveStatus": "PENDING",
        "expiresAt": "2026-01-12T10:15:00.000Z",
        "acceptedAt": null,
        "declinedAt": null,
        "cancelReason": null,
        "createdAt": "2026-01-05T10:15:00.000Z",
        "updatedAt": "2026-01-05T10:15:00.000Z"
      },
      "relationships": {
        "developerParty": {
          "data": {
            "type": "party",
            "id": "pty_1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d"
          }
        },
        "customerParty": {
          "data": null
        },
        "agent": {
          "data": {
            "type": "agent",
            "id": "agt_3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f"
          }
        },
        "agentDelegation": {
          "data": null
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

status
enum<string>[]
Available options:
PENDING,
ACCEPTED,
DECLINED,
EXPIRED,
CANCELED
customerEmail
string<email>
agentId
string
Pattern: ^agt_[0-9a-f]{32}$
limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string

Response

Successful Response

data
AgentDelegationInvitationResource · object[]
required
meta
object
required